#ifndef INFOWIN_H
#define INFOWIN_H
#include <QWidget>
#include <time.h>
#include "ui_infowin.h"

class InfoWin : public QWidget, private Ui::InfoWin
{
  Q_OBJECT
public:
  InfoWin();
protected:
  virtual void timerEvent(QTimerEvent *timer);
public slots:
  void enablePassword(bool enable);
  void setStartTime(int ntime);
  void setOwed(unsigned int amount);
  void setOther(unsigned int amount);
  void updateTime();
  void enableTimeUpdate(bool enable);
  void connectionStatus(bool works);
  void on_passwordButton_clicked();
  void on_exitButton_clicked();
signals:
  void passwordEdit();
  void endSession();
private:
  time_t		 m_stime;
  int			 m_updateTimeTimerId;
};

#endif
