#ifndef LOCKWIN_H
#define LOCKWIN_H
#include <QWidget>
#include <QImage>

class LockWin : public QWidget
{
  Q_OBJECT
public:
  LockWin();
  void setBgColor(const QString &color);
  void setAuthBoxBgColor(const QString &color);
  void setAuthBoxTextColor(const QString &color);
  void setAuthBoxTextShadowColor(const QString &color);
  void setAuthBoxTitleBgColor(const QString &color);
  void setAuthBoxTitleTextColor(const QString &color);
  void setAuthBoxTitleTextShadowColor(const QString &color);
  void setAuthBoxBorderColor(const QString &color);
protected:
  void mousePressEvent(QMouseEvent *e);
  void keyPressEvent(QKeyEvent *e);
  void paintEvent(QPaintEvent *e);
  void drawAuthBox(QPainter &p);
public slots:
  void lock();
  void unlock();
  void allowMemberLogin(bool allow);
  void allowUserLogin(bool allow);
signals:
  void userStart();
  void memberStart(int id, const QString password);
  void memberStart(QString login, const QString password);
private:
  struct {
    QColor bg;
    QColor authBoxBg;
    QColor authBoxText;
    QColor authBoxTextShadow;
    QColor authBoxTitleBg;
    QColor authBoxTitleText;
    QColor authBoxTitleTextShadow;
    QColor authBoxBorder;
  } m_color;

  QString		m_input;
  QString		m_memberlogin;
  int			m_memberid;
  QRect			m_box;
  QImage		m_lockpix;
  bool			m_allowMemberLogin;
  bool			m_allowUserLogin;
  bool			m_drawAuthBox;
};

#endif
