#include <QPushButton>
#include <QLineEdit>
#include "passworddialog.h"

PasswordDialog::PasswordDialog()
  : QDialog()
{
  setupUi(this);

  connect(oldPasswordText, SIGNAL(textChanged(const QString &)),
	  this, SLOT(enableOkButton()));
  connect(newPasswordText, SIGNAL(textChanged(const QString &)),
	  this, SLOT(enableOkButton()));
  connect(newPasswordAgainText, SIGNAL(textChanged(const QString &)),
	  this, SLOT(enableOkButton()));
}

void
PasswordDialog::accept()
{
  emit setPassword(oldPasswordText->text(), newPasswordText->text());
  clear();
  QDialog::accept();
  hide();
}

void
PasswordDialog::reject()
{
  clear();
  QDialog::reject();
  hide();
}

void
PasswordDialog::clear()
{
  oldPasswordText->clear();
  newPasswordText->clear();
  newPasswordAgainText->clear();
  enableOkButton();
}

void
PasswordDialog::enableOkButton()
{
  okButton->setDisabled(oldPasswordText->text().isEmpty()
			|| newPasswordText->text().isEmpty()
			|| newPasswordAgainText->text().isEmpty()
			|| newPasswordAgainText->text()
			   != newPasswordText->text());
}
